OpenSSH-päivitys korjaa tietovuotohaavoittuvuuksia

OpenSSH:n asiakasohjelmistossa on korjattu kaksi haavoittuvuutta, joista vakavamman hyödyntäminen voi mahdollistaa muun muassa käyttäjän yksityisten avainten vuotamisen palvelimelle, johon käyttäjä on yhteydessä.

OpenSSH Client -ohjelmiston päivitys 7.1p2 korjaa kaksi haavoittuvuutta, joista vakavampi liittyy asiakasohjelmistossa oletuksena päällä olevaan roaming-toiminnallisuuteen. Haavoittuvuuden onnistunut hyödyntäminen mahdollistaa käyttäjän yksityisten SSH-avainten vuotamisen vihamielisen tahon hallussa olevalle, esimerkiksi murretulle, palvelimelle.

  • Palvelimet ja palvelinsovellukset
  • Työasemat ja loppukäyttäjäsovellukset
  • Verkon aktiivilaitteet
  • Matkaviestinjärjestelmät
  • Sulautetut järjestelmät
  • Muut

Kohde

  • Työasemat ja loppukäyttäjäsovellukset
Lisätietoa +

Hyökkäystapa

  • Etäkäyttö
Lisätietoja hyökkäystavasta +

Hyväksikäyttö

  • Luottamuksellisen tiedon hankkiminen
Lisätietoja hyväksikäytöstä +

Ratkaisu

  • Korjaava ohjelmistopäivitys
  • Ongelman rajoittaminen
Lisätietoja ratkaisusta +

Haavoittuvat ohjelmistot:

  • OpenSSH Client 5.4-7.1

Ratkaisu- ja rajoitusmahdollisuudet:

  • Korjaava ohjelmistopäivitys OpenSSH 7.1p2
  • Ongelman voi kiertää määrittämällä ssh_config-tiedostossa "UseRoaming no" (katso Release Notes)

Lisätietoa:

Päivityshistoria

Asiasanat: Tietoturva , Kyberturvallisuus , NCSC-FI , Haavoittuvuudet

LinkedIn Print

Yhteystiedot

logo

Viestintävirasto

Kyberturvallisuuskeskus

PL 313, 00181 Helsinki


Mediayhteydenotot puhelimitse 0295 390 248